## BtMainPagePatterns BtMainPagePatterns — the editor main pattern page |

## Functions

BtMainPagePatterns * | bt_main_page_patterns_new ()
void | bt_main_page_patterns_show_pattern ()
void | bt_main_page_patterns_show_machine ()
void | bt_main_page_patterns_delete_selection ()
void | bt_main_page_patterns_cut_selection ()
void | bt_main_page_patterns_copy_selection ()
void | bt_main_page_patterns_paste_selection ()

## Types and Values

struct | BtMainPagePatterns

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── BtMainPagePatterns

## Implemented Interfaces

BtMainPagePatterns implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include "bt-edit.h"

## Description

Provides an editor for BtPattern instances.

## Functions

### bt_main_page_patterns_new ()

    BtMainPagePatterns *
    bt_main_page_patterns_new (const BtMainPages *pages);

Create a new instance

#### Parameters

pages | the page collection |

#### Returns

the new instance

### bt_main_page_patterns_show_pattern ()

    void
    bt_main_page_patterns_show_pattern (const BtMainPagePatterns *self,
                                        BtPattern *pattern);

Show the given `pattern` . Will update machine and pattern menu.

#### Parameters

self | the pattern subpage |
pattern | the pattern to show |

### bt_main_page_patterns_show_machine ()

    void
    bt_main_page_patterns_show_machine (const BtMainPagePatterns *self,
                                        BtMachine *machine);

Show the given `machine` . Will update machine menu.

#### Parameters

self | the pattern subpage |
machine | the machine to show |

### bt_main_page_patterns_delete_selection ()

    void
    bt_main_page_patterns_delete_selection
                                   (const BtMainPagePatterns *self);

Delete (clear) the selected area.

#### Parameters

self | the pattern subpage |

### bt_main_page_patterns_cut_selection ()

    void
    bt_main_page_patterns_cut_selection (const BtMainPagePatterns *self);

Cut selected area.

#### Parameters

self | the pattern subpage |

### bt_main_page_patterns_copy_selection ()

    void
    bt_main_page_patterns_copy_selection (const BtMainPagePatterns *self);

Copy selected area.

#### Parameters

self | the sequence subpage |

### bt_main_page_patterns_paste_selection ()

    void
    bt_main_page_patterns_paste_selection (const BtMainPagePatterns *self);

Paste at the top of the selected area.

#### Parameters

self | the pattern subpage |

## Types and Values

### struct BtMainPagePatterns

    struct BtMainPagePatterns;

the pattern page for the editor application

## See Also

BtPattern, BtPatternEditor